Package ru.bitel.bgbilling.apps.cashcheck.frk.utils

# Class FrkUtils.CommandCheckParameters

java.lang.Object
ru.bitel.bgbilling.apps.cashcheck.frk.utils.FrkUtils.CommandCheckParameters

Enclosing class:
  FrkUtils

    public static class FrkUtils.CommandCheckParameters
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.lang.String` | `cashierINN` |
  `java.lang.String` | `cashierName` |
  `Check.Type` | `checkType` |
  `java.lang.String` | `customerEmail` |
  `java.util.Map<java.lang.Integer,​java.lang.Object>` | `customTags` |
  `java.util.Date` | `documentDate` |
  `java.lang.String` | `documentId` |
  `java.util.List<Check.CheckLine>` | `lines` |
  `boolean` | `onlyElCheck` |
  `java.math.BigDecimal` | `paymentsum` |
  `java.lang.Integer` | `paymentType` |
  `java.lang.Integer` | `payMethod` |
  `java.lang.Integer` | `payObject` |
  `java.lang.Integer` | `tax` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CommandCheckParameters()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### paymentsum

    public java.math.BigDecimal paymentsum

  - ### lines

    public java.util.List<Check.CheckLine> lines

  - ### customerEmail

    public java.lang.String customerEmail

  - ### paymentType

    public java.lang.Integer paymentType

  - ### tax

    public java.lang.Integer tax

  - ### onlyElCheck

    public boolean onlyElCheck

  - ### customTags

    public java.util.Map<java.lang.Integer,​java.lang.Object> customTags

  - ### payMethod

    public java.lang.Integer payMethod

  - ### payObject

    public java.lang.Integer payObject

  - ### checkType

    public Check.Type checkType

  - ### cashierName

    public java.lang.String cashierName

  - ### cashierINN

    public java.lang.String cashierINN

  - ### documentDate

    public java.util.Date documentDate

  - ### documentId

    public java.lang.String documentId

- ## Constructor Details

  - ### CommandCheckParameters

    public CommandCheckParameters()